Bug 198862 - [graphics/tiff][security] multiple vulnerabilities
Summary: [graphics/tiff][security] multiple vulnerabilities
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-24 01:37 UTC by Sevan Janiyan
Modified: 2015-03-27 09:45 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (portmgr)


Attachments
proposed patch (1.54 KB, patch)
2015-03-24 07:14 UTC, Antoine Brodin
no flags Details | Diff
updated patch with cpe info (1.89 KB, patch)
2015-03-24 14:11 UTC, Antoine Brodin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sevan Janiyan 2015-03-24 01:37:35 UTC
CVE-2014-8127 CVE-2014-8128 CVE-2014-8129 CVE-2014-8130 CVE-2014-9655 CVE-2015-1547
Comment 1 Antoine Brodin freebsd_committer 2015-03-24 07:14:13 UTC
Created attachment 154754 [details]
proposed patch
Comment 2 Antoine Brodin freebsd_committer 2015-03-24 14:11:04 UTC
Created attachment 154760 [details]
updated patch with cpe info
Comment 3 commit-hook freebsd_committer 2015-03-26 23:32:32 UTC
A commit references this bug:

Author: antoine
Date: Thu Mar 26 23:32:22 UTC 2015
New revision: 382356
URL: https://svnweb.freebsd.org/changeset/ports/382356

Log:
  - Update to 4.0.4beta
  - Add CPE information

  PR:		198862
  MFH:		2015Q1
  Security:	CVE-2014-8127 CVE-2014-8128 CVE-2014-8129 CVE-2014-8130 CVE-2014-9655 CVE-2015-1547

Changes:
  head/graphics/tiff/Makefile
  head/graphics/tiff/distinfo
  head/graphics/tiff/pkg-plist
  head/graphics/tiffgt/Makefile
  head/graphics/tiffgt/distinfo
Comment 4 commit-hook freebsd_committer 2015-03-27 09:44:20 UTC
A commit references this bug:

Author: antoine
Date: Fri Mar 27 09:44:07 UTC 2015
New revision: 382386
URL: https://svnweb.freebsd.org/changeset/ports/382386

Log:
  MFH: r382356

  - Update to 4.0.4beta
  - Add CPE information

  PR:		198862
  Security:	CVE-2014-8127 CVE-2014-8128 CVE-2014-8129 CVE-2014-8130 CVE-2014-9655 CVE-2015-1547

Changes:
_U  branches/2015Q1/
  branches/2015Q1/graphics/tiff/Makefile
  branches/2015Q1/graphics/tiff/distinfo
  branches/2015Q1/graphics/tiff/pkg-plist
  branches/2015Q1/graphics/tiffgt/Makefile
  branches/2015Q1/graphics/tiffgt/distinfo
Comment 5 Antoine Brodin freebsd_committer 2015-03-27 09:45:12 UTC
Hopefully fixed in both head and quarterly branch